%{?nodejs_find_provides_and_requires}

%global packagename propagate
%global enable_tests 1

Name:		nodejs-propagate
Version:	0.3.1
Release:	1%{?dist}
Summary:	Propagate events

License:	MIT
URL:		http://github.com/pgte/propagate.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE-MIT.txt
# upstream doesn't have a license file, so I requested one at
# https://github.com/pgte/propagate/issues/3
#
# In the meantime, include one of our own

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Propagate events


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tap tests/index.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Nov 30 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.1-1
- Initial packaging
